************************************************ ``POST`` Invite Candidates to an Assessment ************************************************ This is a v2 API invites candidates to the specified Assessment and returns an Invite Link for each. Request URL ============= .. code-block:: POST /assessment/invite Body Parameters ================ .. code-block:: JSON { "assessment_id": "integer", "invite_format": "string", "expiry_date": "string", "candidates": [ { "name": "string", "email": "string" } ] } .. warning:: Make sure to add your API key in Header of the request Parameters ============ +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+=====================================================================================================+ | assessment_id | *integer* | The Assessment ID to which you want to invite the candidates. | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | invite_format | *enum* | - **getlink**: This option will only create an invite link for each candidate which can be shared. | | | | - **sendlink**: This option will send an invite to each candidate via email | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | candidates | *array* | List of candidates to invite. Each item must include **name** and **email** (alternatively | | | | **candidate_name** and **candidate_email**). At least one candidate is required; maximum **500** | | | | per request. | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | expiry_date | *string* | - Expiry Date and Time for the Invite Link | | *(optional)* | | - Date and Time should be in this format **YYYY-MM-DD HH:MM** | | | | | | | | **Example:** 2024-12-31 18:30 | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing a list of results; each entry has the candidate information and Invite Link for that candidate. .. code-block:: JSON { "invites": [ { "name": "string", "email": "string", "report_id": "integer", "candidate_id": "integer", "assessment_id": "integer", "invite_link": "string", "status": "string" } ] }